Skip to main content
`Ctrl`+`K`

# PetscStrNArrayallocpy

Allocates space to hold a copy of an array of strings then copies the strings

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrNArrayallocpy(PetscInt n, const char *const *list, char ***t)

Not Collective; No Fortran Support

## Input Parameters

- n - the number of string entries

- list - pointer to array of strings

## Output Parameter

- t - the copied array string

## Note

Use `PetscStrNArrayDestroy()` to free the memory.

## See Also

`PetscStrallocpy()`, `PetscStrArrayallocpy()`, `PetscStrNArrayDestroy()`

## Level

intermediate

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages